import datetime
from typing import Optional


def fmt_datetime(x: Optional[datetime.datetime]) -> Optional[str]:
    """Format a datetime as ISO 8601, if it's not None."""
    if x is not None:
        return x.isoformat()

    return None
